Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 923243 - sci-biology/pysam-0.21.0 installs deprecated .egg/.egg-info
Summary: sci-biology/pysam-0.21.0 installs deprecated .egg/.egg-info
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Science Biology related packages
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 921639
  Show dependency tree
 
Reported: 2024-01-29 08:20 UTC by Agostino Sarubbo
Modified: 2024-05-24 09:54 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,501.42 KB, text/plain)
2024-01-29 08:20 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2024-01-29 08:20:18 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: sci-biology/pysam-0.21.0 installs deprecated .egg/.egg-info.
Discovered on: amd64 (internal ref: gcc14_tinderbox)
System: GCC-14-SYSTEM (https://wiki.gentoo.org/wiki/Project:Tinderbox/Common_Issues_Helper#GCC-14)

Info about the issue:
https://wiki.gentoo.org/wiki/Project:Tinderbox/Common_Issues_Helper#QA0076
Comment 1 Agostino Sarubbo gentoo-dev 2024-01-29 08:20:20 UTC
Created attachment 883539 [details]
build.log

build log and emerge --info
Comment 2 Larry the Git Cow gentoo-dev 2024-05-24 09:54:24 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a300fad43f75217ec5ca16d5262e578e0af853a9

commit a300fad43f75217ec5ca16d5262e578e0af853a9
Author:     David Seifert <soap@gentoo.org>
AuthorDate: 2024-05-24 09:54:01 +0000
Commit:     David Seifert <soap@gentoo.org>
CommitDate: 2024-05-24 09:54:01 +0000

    sci-biology/pysam: drop 0.21.0
    
    Closes: https://bugs.gentoo.org/923243
    Closes: https://bugs.gentoo.org/927872
    Closes: https://bugs.gentoo.org/929754
    Signed-off-by: David Seifert <soap@gentoo.org>

 sci-biology/pysam/Manifest                         |  1 -
 .../pysam/files/pysam-0.21.0-cython-3.patch        | 24 --------
 sci-biology/pysam/pysam-0.21.0.ebuild              | 72 ----------------------
 3 files changed, 97 deletions(-)